Index: Applet/Tcpbw100.java
===================================================================
--- Applet/Tcpbw100.java	(revision 796)
+++ Applet/Tcpbw100.java	(working copy)
@@ -2746,7 +2746,13 @@
 				_sEmailText += sSysvar + " " + sStrval + "\n%0A";
 				if (sStrval.indexOf(".") == -1) { // no decimal point, hence
 													// integer
-					iSysval = Integer.parseInt(sStrval);
+          try{
+            iSysval = Integer.parseInt(sStrval);
+            // If it fails as an int it's probably to big since the values are often unsigned
+          } catch (Exception e) {
+            System.out.println("Exception occured reading a web100 var - " + e);
+            iSysval = -1;
+          }
 					// save value into a key value expected by us
 					save_int_values(sSysvar, iSysval);
 				} else { // if not integer, save as double
@@ -3373,7 +3379,7 @@
 			_txtStatistics.append("\n"
 					+ _resBundDisplayMsgs.getString("web100tcpOpts") + " \n");
 			_txtStatistics.append("RFC 2018 Selective Acknowledgment: ");
-			if (_iSACKEnabled == iZero)
+			if (_iSACKEnabled == 0)
 				_txtStatistics.append(_resBundDisplayMsgs.getString("off")
 						+ "\n");
 			else
@@ -3381,29 +3387,31 @@
 						+ "\n");
 
 			_txtStatistics.append("RFC 896 Nagle Algorithm: ");
-			if (_iNagleEnabled == iZero)
-				_txtStatistics.append(_resBundDisplayMsgs.getString("off")
+			if (_iNagleEnabled == NDTConstants.RFC_896_ENABLED)
+				_txtStatistics.append(_resBundDisplayMsgs.getString("on")
 						+ "\n");
 			else
-				_txtStatistics.append(_resBundDisplayMsgs.getString("on")
+				_txtStatistics.append(_resBundDisplayMsgs.getString("off")
 						+ "\n");
 
 			_txtStatistics.append("RFC 3168 Explicit Congestion Notification: ");
-			if (_iECNEnabled == iZero)
-				_txtStatistics.append(_resBundDisplayMsgs.getString("off")
+			if (_iECNEnabled == NDTConstants.RFC_3168_ENABLED)
+				_txtStatistics.append(_resBundDisplayMsgs.getString("on")
 						+ "\n");
 			else
-				_txtStatistics.append(_resBundDisplayMsgs.getString("on")
+				_txtStatistics.append(_resBundDisplayMsgs.getString("off")
 						+ "\n");
-
+			/* TODO - Ideally print who disabled it - but need translations */
+			
 			_txtStatistics.append("RFC 1323 Time Stamping: ");
-			if (_iTimestampsEnabled == NDTConstants.RFC_1323_DISABLED)
-				_txtStatistics.append(_resBundDisplayMsgs.getString("off")
+			if (_iTimestampsEnabled == NDTConstants.RFC_1323_ENABLED)
+				_txtStatistics.append(_resBundDisplayMsgs.getString("on")
 						+ "\n");
 			else
-				_txtStatistics.append(_resBundDisplayMsgs.getString("on")
+				_txtStatistics.append(_resBundDisplayMsgs.getString("off")
 						+ "\n");
-
+			/* TODO - Ideally print who disabled it - but need translations */
+			
 			_txtStatistics.append("RFC 1323 Window Scaling: ");
 			if (_iMaxRwinRcvd < NDTConstants.TCP_MAX_RECV_WIN_SIZE)
 				_iWinScaleRcvd = 0; //Max rec window size lesser than TCP's max value, 
@@ -3592,12 +3600,16 @@
 
 		// get client side IP
 		String sClientSideClientIp = tokens.nextToken();
-		k = sClientSideServerIp.indexOf("/");
-		sClientSideServerIp = sClientSideServerIp.substring(k + 1);
-
+		System.out.println("IP --" + sClientSideClientIp );
+		k = sClientSideClientIp.indexOf("/");
+		System.out.println("k is: " + k );
+		sClientSideClientIp = sClientSideClientIp.substring(k + 1);
+		System.out.println("IP --" + sClientSideClientIp );
 		// MSS = 1456 = Ethernet MTU = 1500 - 24 -20 (bytes of IP header) =
 		// 1456, thus preserved
-		
+		if(_iTimestampsEnabled == NDTConstants.RFC_1323_ENABLED)
+			iMss += 12;
+    
 		if (iMss == NDTConstants.ETHERNET_MTU_SIZE)
 			_txtStatistics.append(_resBundDisplayMsgs
 					.getString("packetSizePreserved") + "\n");
Index: Applet/NDTConstants.java
===================================================================
--- Applet/NDTConstants.java	(revision 796)
+++ Applet/NDTConstants.java	(working copy)
@@ -98,9 +98,25 @@
 	public static final String RTT_STR = "rtt"; // round trip time
 
 	// Section: RFC 1323 options ( Seems like 0/1/2/3 are the options available)
+	// Not sure 0 is available maybe really old web100?
 	
-	public static final int RFC_1323_DISABLED = 0;
+	public static final int RFC_1323_ENABLED = 1;
+	// Note Self disabled from servers standpoint i.e. disabled by server
+	public static final int RFC_1323_SELF_DISABLED = 2;
+	public static final int RFC_1323_PEER_DISABLED = 3;
 	
+	// Section: RFC2018 SAck
+	public static final int RFC_2018_ENABLED = 1;
+	
+	// Section: RFC2018 Nagle
+	public static final int RFC_896_ENABLED = 1;
+	
+	// Section: RFC3168
+	public static final int RFC_3168_ENABLED = 1;
+	// Note Self disabled from servers standpoint i.e. disabled by server
+	public static final int RFC_3168_SELF_DISABLED = 2;
+	public static final int RFC_3168_PEER_DISABLED = 3;
+	
 	// Section: Buffer limitation test thresholds
 	public static final float BUFFER_LIMITED = 0.15f; //unused right now
 	
Index: WEB10G README
===================================================================
--- WEB10G README	(revision 0)
+++ WEB10G README	(revision 0)
@@ -0,0 +1,19 @@
+Quick Build Notes
+Although you don't need a web10g kernel to build, if you wish to run the server you will.
+
+I've tested with linux 3.5.1 kernel patched with web10g (web10.org - 	Web10G-0.4-3.5-patch). I had to modify the patch - Swap ktime_to_ns(...) with ktime_to_us(...).
+
+You need to make and install the Web10G-userland library I used Web10G-userland-2.0.4.
+
+Configure and build ndt as normal. Web10G libs should be detected and hence the web10gsrv built. Web100 is still fully supported and if Web100 libs are found web100srv will be built.
+
+Known issues
+
+Web10G related
+* Logging functionality not yet implemented some related functions are missing.
+* Web10g patch not quite right - need to modify ktime_to_ns to ktime_to_us.
+* Server and Client(C and Java Applet) have been ported, other tools have not. Depending on there function they may not work.
+
+Other
+* Running the server without a DNS server can cause tests to timeout and fail. Add the NI_NUMERICHOST flag into the getnameinfo call within _I2AddrSetNodePort() in the I2Util library to fix.
+* MSS incorrectly detecting modification when testing via IPv6??
